package org.kne.cloud.klalb.uitool;

import java.awt.Color;
import java.awt.Font;
import javax.swing.JTextField;
import java.awt.BorderLayout;
import javax.swing.SwingConstants;
import org.kne.cloud.network.klalb.ui.UIEnv;

public class TextSettingItem extends SettingItem {
	protected JTextField textField;
	
	
	public JTextField getTextField() {
		return textField;
	}
	public TextSettingItem(String text,int w,int h) {
		this(text,UIEnv.getFont().deriveFont((float) 15.0),w,h);
	}
	/**
	 * @wbp.parser.constructor
	 */
	public TextSettingItem(String text, Font deriveFont,int w,int h) {
		super(text,deriveFont,w,h);
		textField = new JTextField();
		textField.setHorizontalAlignment(SwingConstants.RIGHT);
		getPanel().add(textField, BorderLayout.CENTER);
		textField.setColumns(10);
		textField.setBorder(null);
		textField.setOpaque(false);
		textField.setBackground(new Color(0,0,0,0));
		label.setForeground(Color.GRAY);
	}

}
